2018-09-22 09:10 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002607NetSurf[All Projects] Generalpublic2018-08-29 14:59
ReporterChris Young 
Assigned To 
SeverityblockReproducibilityalways 
StatusclosedResolutionfixed 
PlatformAmigaOSAmigaOSOS Version4.1
Product Version3.8 
Target Version3.8Fixed in Version3.8 
Summary0002607: HTTP Basic authentication keeps re-prompting
DescriptionHTTP Basic authentication keeps re-prompting for username/password. I think it is asking for every protected element on the page rather than retrying the previously input details automatically.
Steps To Reproduce was testing with a protected forum, however that site is not going to be protected for much longer and I can't give out the details, so, hmm...
Additional InformationLog attached.
This log involves me typing in the correct user/pass once and then cancelling all subsequent requests.
TagsNo tags attached.
Fixed in CI build #4403
Reported in CI build #4385
URL of problem pagehttps://forum.amiga.org/
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0001792

Vincent Sanders (administrator)

Initial review of the log suggests this may be a https with basic auth issue

we probably need to set up a test server and verify this
Vincent Sanders

~0001794

Vincent Sanders (administrator)

I set up

https://ci.netsurf-browser.org/secure/

user:passwords are:

netsurf:netsurf
blank:

but netsurf works fine with the gtk frontend. Can you try with your frontend please?
Michael Drake

~0001795

Michael Drake (administrator)

Unrelated: I saw a pile of fetch_curl_poll logging in the log, which shouldn't have been enabled, so I've turned that off.

Probably unrelated: I see lots of lines like:

content/handlers/html/html.c:695 dom_default_action_DOMNodeInserted_cb: javascript context: 0x0 (htmlc: 0x5695b330)

And I have no idea how that can happen.

Chris: Does the build include the duktape stuff (build time option)? Are you running with the runtime choices option for JavaScript enabled or disabled?
Michael Drake

~0001796

Michael Drake (administrator)

Chris, please try with my latest commit that adds some logging for 401 windows.
Artu Jarosik

~0001800

Artu Jarosik (reporter)

The same happens on Chrome/Windows 10 so it must be site issue.
Chris Young

~0001801

Chris Young (developer)

Last edited: 2018-08-11 21:50

View 3 revisions

1. ci.netsurf-browser.org secure site doesn't even prompt for a user/pass (ns_cisecure.log) (it doesn't prompt on Firefox either)

2. Duktape is included and enabled at runtime

3. New log with CI 4393 - ns_aorg.log (same thing, typed user/pass once, cancelled the many other requests)

For some reason Mantis doesn't appear to be sending me updates, so give me a prod if I don't respond.

Michael Drake

~0001802

Michael Drake (administrator)

One possibility was that the Amiga front end was passing a garbage realm to urldb_set_auth_details. I've fixed that on master.

Also, I've made tlsa/401 branch, which moves responsibility for dealing with urldb to the core. I'd be grateful to anyone who can test it.
Michael Drake

~0001803

Michael Drake (administrator)

We can use httpbin for testing basic auth with username and password. I've opened an issue about testing when username and password aren't both present. https://github.com/requests/httpbin/issues/502
Vincent Sanders

~0001824

Vincent Sanders (administrator)

Thank you for your report, this has been resolved in the 3.8 release
+Notes

-Issue History
Date Modified Username Field Change
2018-07-30 17:51 Chris Young New Issue
2018-07-30 17:51 Chris Young File Added: ns.log.gz
2018-07-31 10:11 Vincent Sanders Note Added: 0001792
2018-07-31 10:11 Vincent Sanders Status new => acknowledged
2018-07-31 10:11 Vincent Sanders Additional Information Updated View Revisions
2018-07-31 10:11 Vincent Sanders URL of problem page => https://forum.amiga.org/
2018-08-07 11:15 Vincent Sanders Severity minor => block
2018-08-07 11:15 Vincent Sanders Status acknowledged => confirmed
2018-08-09 14:23 Vincent Sanders Note Added: 0001794
2018-08-09 14:23 Vincent Sanders Status confirmed => feedback
2018-08-09 16:53 Michael Drake Note Added: 0001795
2018-08-09 17:20 Michael Drake Note Added: 0001796
2018-08-11 12:21 Artu Jarosik Note Added: 0001800
2018-08-11 21:31 Chris Young File Added: ns_aorg.log
2018-08-11 21:32 Chris Young File Added: ns_cisecure.log
2018-08-11 21:35 Chris Young Note Added: 0001801
2018-08-11 21:35 Chris Young Status feedback => new
2018-08-11 21:36 Chris Young Note Edited: 0001801 View Revisions
2018-08-11 21:50 Chris Young Note Edited: 0001801 View Revisions
2018-08-14 12:18 Michael Drake Note Added: 0001802
2018-08-14 15:46 Michael Drake Note Added: 0001803
2018-08-16 20:19 Michael Drake Status new => resolved
2018-08-16 20:19 Michael Drake Resolution open => fixed
2018-08-16 20:19 Michael Drake Fixed in Version => 3.8
2018-08-16 20:19 Michael Drake Fixed in CI build # => 4403
2018-08-29 14:59 Vincent Sanders Status resolved => closed
2018-08-29 14:59 Vincent Sanders Note Added: 0001824
+Issue History